html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

body {
    font-family: "benton-sans", "Helvetica", "sans-serif";
    color: #2a2a2a;
}

.campaign-content h2, .campaign-content .black {
    color: #2a2a2a;
}

.campaign-content {
    color: #6a6a6a;
}

.campaign, .panel {
    height: 100%;
}

#left-menu {position: fixed;}
.upper-menu {display: none !important;}

.items-row {display: flex; align-items: stretch;}

.item-element {
    padding: 5px;
}

.campaign {border-radius: 5px;}

.campaign .panel {
    display: flex;
    flex-direction: column;
}

.campaign img {
    width: 100%;
    padding: 10px;
}

.campaign hr {
    margin: 0px 10px;
}

.campaign-content {
    margin: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-grow: 1;
}

.campaign-info hr {
    margin-bottom: 10px;
    margin-left: 0px;
    margin-right: 0px;
}

.text-align-right {
    text-align: right;
    overflow: hidden;
    text-overflow: ellipsis;
}

#left-menu div, #left-menu div a {
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
    color: #333;
}

#left-menu div div, #left-menu div div a {
    margin-left: 15px;
    font-size: 14px;
    font-weight: normal;
    color: #333;
}

#left-menu div div .active {
    text-decoration: underline;
}

.campaign:hover {
    -moz-transform: translateY(-5px);
    -ms-transform: translateY(-5px);
    -webkit-transform: translateY(-5px);
    -o-transform: translateY(-5px);
    transform: translateY(-5px);
    box-shadow: 0px 5px 5px 0px rgba(0, 0, 0, 0.5);
    -webkit-transition: .3s ease-out;
    -o-transition: .3s ease-out;
    -moz-transition: .3s ease-out;
    transition: .3s ease-out;
    cursor: pointer;
}

.campaign a {
    text-decoration: none;
}

.campaign h2 {
    font-weight: normal;
	font-size: 14px;
	color: #6a6a6a;
	line-height: 1.42857143;
	white-space: normal;
    word-wrap: break-word;
}

.campaign h2.ad {
    font-weight: bold;
}

.advertise .panel-default {
    background-color: rgba(255, 255, 0, 0.1);
}

@media(max-width:1199px) {
}

@media(max-width:991px) {
}

@media(max-width:767px) {
    #left-menu {position: relative; display: none;}
    .upper-menu {display: block !important;}
}

@media(max-width:575px) {
    #left-menu {position: relative; display: none;}
    .upper-menu {display: block !important;}
    .items-row {display: block;}
    .campaign:hover {
        -moz-transform: none;
        -ms-transform: none;
        -webkit-transform: none;
        -o-transform: none;
        transform: none;
        box-shadow: none;
        -webkit-transition: none;
        -o-transition: none;
        -moz-transition: nonet;
        transition: none;
        cursor: pointer;
    }
}

a, a:hover, a:active, a:focus {
  outline: none;
}